Uploaded image for project: 'Titanium SDK/CLI'
  1. Titanium SDK/CLI
  2. TIMOB-16877

Android: Build errors setting a targetSdkVersion lower than 14

    Details

    • Type: Bug
    • Status: Closed
    • Priority: High
    • Resolution: Invalid
    • Affects Version/s: Release 3.3.0
    • Fix Version/s: None
    • Component/s: Android
    • Environment:

      TiSDK 3.3.0.v20140422163054
      CLI 3.3.0-dev

    • Sprint:
      2014 Sprint 10 SDK

      Description

      Problem description

      If specifying an Android targetSdkVersion lower than '14' in the Android manifest, the build fails.

      Steps to reproduce

      1. Create a new Titanium classic or Alloy project
      2. Edit TiApp.xml and add the following lines:

      <android xmlns:android="http://schemas.android.com/apk/res/android">
              <manifest>
                  <uses-sdk android:targetSdkVersion="11"/>
              </manifest>
          </android>
      

      3. Build the app.

      Result: build fails with errors relative to Holo themes and activebars. See attached log.

      4. Edit TiApp.xml and set "14" as the targetSdkVersion.
      Result: build is successful and app runs as expected.

      The issue is only reproducible using TiSDK 3.3.0.
      Not reproducible with TiSDK 3.2.X. It could be a regression.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                hpham Hieu Pham
                Reporter:
                fcasali Federico Casali
              • Watchers:
                0 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:

                  Backbone Issue Sync

                  • Titanium SDK/CLI <> Titanium Mobile
                    Synced with:
                    TIMOB-18651
                    Sync status:
                    ERROR
                    Last received:
                    Last sent:

                    Git Integration